#album_leftcol{
	float: left;
	width: 200px;
}

#album_cover{
	margin-bottom: 10px;	
}

#main_details{
	float: right;
	width: 185px;
}

#album_tracklist{
	margin-bottom: 20px;
}

#album_details{
	width: 200px;
	padding-bottom: 20px;
}

#description{
	clear:both;
	width:400px;
}

#artist_select{
	width: 225px;
}